Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QIntValidator

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QIntValidator class reference

### Public Functions

- QIntValidator ( QObject * parent, const char * name ) `(obsolete)`
- QIntValidator ( int minimum, int maximum, QObject * parent, const char * name ) `(obsolete)`

## Member Function Documentation

### QIntValidator::QIntValidator ( QObject * parent, const char * name )

Constructs a validator with a parent object and a name that accepts all integers.

### QIntValidator::QIntValidator ( int minimum, int maximum, QObject * parent, const char * name )

Constructs a validator called name with a parent, that accepts integers from minimum to maximum inclusive.